【威胁通告】Ghostscript -dSAFER 沙箱绕过漏洞 (CVE-2019-10216)

近日,Ghostscript公布了一个 -dSAFER 沙箱绕过漏洞(CVE-2019-10216)。漏洞成因是Ghostscript中的.buildfont1在执行时没有正确地限制特权调用,导致攻击者可以通过创建一个特别设计的PostScript文件来利用该漏洞提升特权并访问限制区域之外的文件。

综述

近日,Ghostscript公布了一个 -dSAFER 沙箱绕过漏洞(CVE-2019-10216)。漏洞成因是Ghostscript中的.buildfont1在执行时没有正确地限制特权调用,导致攻击者可以通过创建一个特别设计的PostScript文件来利用该漏洞提升特权并访问限制区域之外的文件。

参考链接:

https://seclists.org/bugtraq/2019/Aug/16

绿盟科技预警级别:【蓝色】

级别定义请参考后文绿盟科技安全预警定级说明部分

受影响版本

Ghostscript commit 5b85ddd19a8420a1bd2d5529325be35d78e94234 之前版本。

http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=5b85ddd19

不受影响版本

Ghostscript commit 5b85ddd19a8420a1bd2d5529325be35d78e94234 及之后版本。

解决方案

当前官方暂未发布修复该漏洞的 release 版本,不过在Ghostscript commit 5b85ddd19a8420a1bd2d5529325be35d78e94234 及之后版本中已修复了该漏洞,用户应尽快升级进行防护。

缓解措施:

用户可通过禁用Policy.xml中的ps、EPS、pdf及XPS编码器来实现对此漏洞的有效防护。以ImageMagick为例,修改其policy配置文件,默认路径/etc/ImageMagick/policy.xml,添加如下代码至<policymap>部分:

<policymap>

<policy domain=”coder” rights=”none” pattern=”PS” />

<policy domain=”coder” rights=”none” pattern=”EPS” />

<policy domain=”coder” rights=”none” pattern=”PDF” />

<policy domain=”coder” rights=”none” pattern=”XPS” />

</policymap>

绿盟科技安全预警定级说明

级别 级别说明
红色 影响范围极大,危害极高,利用难度低
橙色 影响范围较广,危害严重,利用难度较低
黄色 影响范围可控,危害程度可控,利用难度较高
蓝色 影响较小,危害程度较小,利用条件苛刻

声 明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。

 

关于绿盟科技

北京神州绿盟信息安全科技股份有限公司(简称绿盟科技)成立于2000年4月,总部位于北京。在国内外设有30多个分支机构,为政府、运营商、金融、能源、互联网以及教育、医疗等行业用户,提供具有核心竞争力的安全产品及解决方案,帮助客户实现业务的安全顺畅运行。

基于多年的安全攻防研究,绿盟科技在网络及终端安全、互联网基础安全、合规及安全管理等领域,为客户提供入侵检测/防护、抗拒绝服务攻击、远程安全评估以及Web安全防护等产品以及专业安全服务。

北京神州绿盟信息安全科技股份有限公司于2014年1月29日起在深圳证券交易所创业板上市,股票简称:绿盟科技,股票代码:300369。

发表评论